import React from 'react';
import { Routes, Route } from 'react-router-dom';
import Navbar from './components/Navbar';
import HeroSection from './components/HeroSection';
import StatisticsSection from './components/StatisticsSection';
import FeaturesSection from './components/FeaturesSection';
import Footer from './components/Footer';
import './App.css';

// HomePage component
const HomePage: React.FC = () => (
  <main className="flex-grow">
    <HeroSection />
    <StatisticsSection />
    <FeaturesSection />
  </main>
);

// Placeholder for candidate detail page
const CandidatePage: React.FC = () => (
  <main className="flex-grow flex items-center justify-center min-h-screen">
    <div className="text-center text-white">
      <h1 className="text-4xl font-bold mb-4">Página do Candidato</h1>
      <p className="text-gray-300">Esta página será implementada em breve.</p>
    </div>
  </main>
);

function App() {
  return (
    <div className="bg-gray-900 min-h-screen w-full flex flex-col">
      <Navbar />
      <Routes>
        <Route path="/" element={<HomePage />} />
        <Route path="/candidato/:id" element={<CandidatePage />} />
      </Routes>
      <Footer />
    </div>
  );
}

export default App;
